﻿<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>@ViewBag.Title</title>
    <link href="~/Utility/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/Utility/css/bootstrap-multiselect.css" rel="stylesheet" />
    <link href="~/Utility/css/jquery.dataTables.min.css" rel="stylesheet" />
    <link href="~/Utility/css/jquery-ui.css" rel="stylesheet" />
    <link href="https://code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css" rel="stylesheet" type="text/css" />
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link href="~/Utility/css/jquery-confirm.min.css" rel="stylesheet" />
    <link href="~/Utility/css/font-awesome.min.css" rel="stylesheet" />
    <link href="~/Utility/css/jquery.qtip.min.css" rel="stylesheet" />
    <link href="~/Utility/css/fullcalendar.min.css" rel="stylesheet" />
    <link href="~/Utility/css/fullcalendar.print.css" rel="stylesheet" media="print" />
    <link href="~/Utility/css/MonthPicker.min.css" rel="stylesheet" />
    <link rel="stylesheet" href="~/Utility/css/style.css" />


    <script src="~/Utility/js/jquery.min.js"></script>
    <script src="https://code.jquery.com/jquery-1.12.1.min.js"></script>

    <script src="~/Utility/js/solid.js"></script>
    <script src="~/Utility/js/fontawesome.js"></script>
    <script src="~/Utility/js/popper.min.js"></script>
    <script src="~/Utility/js/bootstrap.min.js"></script>
    <script src="~/Utility/js/jquery.dataTables.min.js"></script>
    <script src="~/Utility/js/bootstrap-multiselect.js"></script>
    <script src="~/Utility/js/notify.min.js"></script>


    @*attendence*@
    <script src="~/Utility/js/jquery-confirm.min.js"></script>
    <script src="~/Utility/js/moment.min.js"></script>
    <script src="~/Utility/js/jquery.qtip.min.js"></script>
    <script src="~/Utility/js/fullcalendar.min.js"></script>
    @*datepicker*@
    <script src="~/Utility/js/jquery-ui.js"></script>
    <script src="~/Utility/js/underscore-min.js"></script>
    <script src="https://code.jquery.com/ui/1.11.4/jquery-ui.min.js"></script>
    <script src="~/Utility/js/MonthPicker.min.js"></script>



    <style>
       

        .notifyjs-corner {
            position: fixed;
            margin: 5px;
            z-index: 1050;
        }

        .hide {
            display: none !important;
        }


        table.dataTable tbody tr {
            background-color: #b3b5b5;
        }

        .multiselect-container.dropdown-menu.show {
            width: 100% !important;
        }

        .jconfirm-box {
            width: 31em;
        }

        .navbar, #sidebar .sidebar-header, #sidebar {
            background: linear-gradient(45deg,#000000,#ffffff);
        }

        .bg-absent {
            background: linear-gradient(45deg,#ff0000,#ffbebe) !important
        }

        .bg-rejected-leave {
            background: linear-gradient(45deg,#000000,#ffffff) !important
        }

        .bg-unapproved-leave {
            background: linear-gradient(45deg,#ebfb00,#ffffff);
        }

        .btn-primary, .bg-primary, .badge-primary {
            /*background: linear-gradient(45deg,#4491e8,#ff0000);*/
            background: linear-gradient(45deg,#000f7d,#05e8ff) !important;
        }

        .bg-success, .btn-success, .badge-success {
            background: linear-gradient(45deg,#155400,#97ff75) !important;
        }

        .btn-danger, .bg-danger, .badge-danger {
            background: linear-gradient(45deg,#ff0000,#f5e259) !important;
        }

        /*.bg-c-yellow {
            background: linear-gradient(45deg,#FFB64D,#ffcb80);
        }*/

        .fc-event {
            height: 88px !important;
        }

        /* Loader Styles */
        .loading {
            position: fixed;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            z-index: 1039;
            display: flex;
            align-items: center;
            justify-content: center;
            display: none;
        }

        .loader {
            transform: translate(50%, 30%);
        }

        .loading-bar {
            display: inline-block;
            width: 6px;
            height: 38px;
            border-radius: 4px;
            animation: loading 1s ease-in-out infinite;
        }

            .loading-bar:nth-child(1) {
                background-color: #3498db;
                animation-delay: 0;
            }

            .loading-bar:nth-child(2) {
                background-color: #c0392b;
                animation-delay: 0.09s;
            }

            .loading-bar:nth-child(3) {
                background-color: #f1c40f;
                animation-delay: .18s;
            }

            .loading-bar:nth-child(4) {
                background-color: #27ae60;
                animation-delay: .27s;
            }

        @@keyframes loading {
            0% {
                transform: scale(1);
            }

            20% {
                transform: scale(1, 2.2);
            }

            40% {
                transform: scale(1);
            }
        }
        /*
            DEMO STYLE
        */
        @@import "https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700";


        body {
            /*font-family: 'Poppins', sans-serif;*/
            color: black;
            font-size: small;
        }

        p {
            font-family: 'Poppins', sans-serif;
            font-size: 1.1em;
            font-weight: 300;
            line-height: 1.7em;
            color: #999;
        }

        a, a:hover, a:focus {
            cursor: pointer !important;
            color: inherit;
            text-decoration: none;
            transition: all 0.3s;
        }

        .navbar {
            padding: 15px 10px;
            background: #fff;
            border: none;
            border-radius: 0;
            margin-bottom: 10px;
            box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
        }

        .navbar-btn {
            box-shadow: none;
            outline: none !important;
            border: none;
        }

        .line {
            width: 100%;
            height: 1px;
            border-bottom: 1px dashed #ddd;
            margin: 40px 0;
        }

        /* ---------------------------------------------------
            SIDEBAR STYLE
        ----------------------------------------------------- */

        .wrapper {
            display: flex;
            width: 100%;
            align-items: stretch;
            perspective: 1500px;
        }


        #sidebar {
            /*min-width: 250px;
            max-width: 250px;*/
            background: #000000;
            color: #fff;
            transition: all 0.6s cubic-bezier(0.945, 0.020, 0.270, 0.665);
            transform-origin: bottom left;
        }

            #sidebar.active {
                margin-left: -250px;
                transform: rotateY(100deg);
            }

            #sidebar .sidebar-header {
                padding: 20px;
                background: #000000;
            }

            #sidebar ul.components {
                padding: 20px 0;
                border-bottom: 1px solid #47748b;
            }

            #sidebar ul p {
                color: #fff;
                padding: 10px;
            }

            #sidebar ul li a {
                padding: 10px;
                font-size: 1.1em;
                display: block;
            }

                #sidebar ul li a:hover {
                    color: #7386D5;
                    background: #fff;
                }

            #sidebar ul li.active > a, a[aria-expanded="true"] {
                color: #fff;
                background: #555555;
            }


        a[data-toggle="collapse"] {
            position: relative;
        }

        .dropdown-toggle::after {
            display: block;
            position: absolute;
            top: 50%;
            right: 20px;
            transform: translateY(-50%);
        }

        ul ul a {
            font-size: 0.9em !important;
            padding-left: 30px !important;
            /*background: #555;*/
        }

        ul.CTAs {
            padding: 20px;
        }

            ul.CTAs a {
                text-align: center;
                font-size: 0.9em !important;
                display: block;
                border-radius: 5px;
                margin-bottom: 5px;
            }




        /* ---------------------------------------------------
            CONTENT STYLE
        ----------------------------------------------------- */
        #content {
            width: 85%;
            padding: 5px;
            min-height: 100vh;
            transition: all 0.3s;
        }

        #sidebarCollapse span {
            width: 80%;
            height: 2px;
            margin: 0 auto;
            display: block;
            background: #555;
            transition: all 0.8s cubic-bezier(0.810, -0.330, 0.345, 1.375);
            transition-delay: 0.2s;
        }

            #sidebarCollapse span:first-of-type {
                transform: rotate(45deg) translate(2px, 2px);
            }

            #sidebarCollapse span:nth-of-type(2) {
                opacity: 0;
            }

            #sidebarCollapse span:last-of-type {
                transform: rotate(-45deg) translate(1px, -1px);
            }


        #sidebarCollapse.active span {
            transform: none;
            opacity: 1;
            margin: 5px auto;
        }


        /* ---------------------------------------------------
            MEDIAQUERIES
        ----------------------------------------------------- */
        @@media (max-width: 768px) {
            #sidebar {
                margin-left: -250px;
                transform: rotateY(90deg);
            }

                #sidebar.active {
                    margin-left: 0;
                    transform: none;
                }

            #sidebarCollapse span:first-of-type,
            #sidebarCollapse span:nth-of-type(2),
            #sidebarCollapse span:last-of-type {
                transform: none;
                opacity: 1;
                margin: 5px auto;
            }

            #sidebarCollapse.active span {
                margin: 0 auto;
            }

                #sidebarCollapse.active span:first-of-type {
                    transform: rotate(45deg) translate(2px, 2px);
                }

                #sidebarCollapse.active span:nth-of-type(2) {
                    opacity: 0;
                }

                #sidebarCollapse.active span:last-of-type {
                    transform: rotate(-45deg) translate(1px, -1px);
                }
        }
    </style>
</head>

<body>

    <div class="loading">
        <div class="loader">
            <div class="loading-bar"></div>
            <div class="loading-bar"></div>
            <div class="loading-bar"></div>
            <div class="loading-bar"></div>
        </div>
    </div>


    <div class="wrapper">
        <!-- Sidebar Holder -->
        <nav id="sidebar">
            <div class="sidebar-header">
                <h5>Panel</h5>
            </div>

            <ul class="list-unstyled components">

                @*<li class="active">
                        <a href="#homeSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">Master</a>
                        <ul class="collapse list-unstyled" id="homeSubmenu">
                            <li>
                                <a href="/Project/Index">Project</a>
                            </li>
                            <li>
                                <a href="/Leave/Index">Leave</a>
                            </li>
                            <li>
                                <a href="/Bank/Index">Bank</a>
                            </li>
                        </ul>
                    </li>*@

                <li>
                    <a href="/User/Index" onclick="showloader(true);">User</a>
                </li>
                <li>
                    <a href="/game1/Index" onclick="showloader(true);">Teen Patti</a>
                </li>
                @*<li>
                        <a href="/PercentConfig/Index" onclick="showloader(true);">Config</a>
                    </li>*@

                @*<li class="inactive">
                        <a href="#homeSubmenu_att" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">Attendence</a>
                        <ul class="collapse list-unstyled" id="homeSubmenu_att">
                            <li>
                                <a href="/Attendence/Index">View</a>
                            </li>
                            <li>
                                <a href="/Attendence/Upload">Upload</a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <a href="/Salary/Index">Salary Manager</a>
                    </li>
                    <li>
                        <a href="/Loan/Index">Loan Manager</a>
                    </li>
                    <li>
                        <a href="/User/Insentive">Incentives</a>
                    </li>*@



            </ul>


        </nav>

        <!-- Page Content Holder -->
        <div id="content">
            <nav class="navbar navbar-expand-lg navbar-dark sticky-top">
                <div class="container-fluid">

                    <button type="button" id="sidebarCollapse" class="navbar-btn">
                        <span></span>
                        <span></span>
                        <span></span>
                    </button>
                    <button class="btn btn-dark d-inline-block d-lg-none ml-auto" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                        <i class="fas fa-align-justify"></i>
                    </button>

                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <ul class="nav navbar-nav align-items-center w-100">
                            <li class="nav-item active">
                                <a class="nav-link home-link" href="/User/Index">
                                    <span class="material-icons">
                                        home
                                    </span>
                                </a>
                            </li>
                            <li class="nav-item active ml-auto">
                                <a class="nav-link" href="/Account/Logout">Logout</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </nav>

            @RenderBody()
        </div>
    </div>


    <script type="text/javascript">


        $(document).ready(function () {

            var token = $("#hdn_token").val();
        if (token == null || token == undefined || token == "") {
            window.location.href = '@Url.RouteUrl("logout")'
            }


            $('#sidebarCollapse').on('click', function () {
                $('#sidebar').toggleClass('active');
                $(this).toggleClass('active');
            });
        });


     var Message = '@(TempData["Message"])';
        if (Message != "")
            notify(Message, 'info');


        function showloader(param)
        {
        if (param)
            $(".loading").css('display', 'flex');
        else
            $(".loading").css('display', 'none');
        }

        function notify(message, classs) {

            $.notify(message, {
                className: classs,
                clickToHide: false,
                autoHide: true,
                globalPosition: 'bottom right'
            });

        }
    </script>

    <input type="hidden" value="@Session["token"]" id="hdn_token" />
    @RenderSection("scripts", required: false)
</body>

</html>


<script type="text/javascript">
    $(document).ready(function () {

        $('.datepicker').datepicker({
            changeMonth: true,
            changeYear: true,
            showButtonPanel: false,
            dateFormat: 'dd MM yy',
            onClose: function (dateText, inst) {
                $(this).datepicker('setDate', new Date(inst.selectedYear, inst.selectedMonth, inst.selectedDay));
            }
        });

        $('.monthpicker').MonthPicker({ MinMonth: -12, Button: false, MonthFormat: 'M yy', });


        $('.mydatatable').DataTable({
            "pagingType": "full_numbers"
        });

    });

    function RemoveDatatable() {
        showloader(true)
        var table = $('.mydatatable,#dt_attendence').DataTable();
        table.destroy();
    }
</script>